Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Class SingleObjectEntryScatterboxConfigurationChecks

    java.lang.Object
      edu.stanford.smi.protegex.widget.scatterbox.SingleObjectEntryScatterboxConfigurationChecks

All Implemented Interfaces:
  Constants, SingleObjectEntryConstants

    public class SingleObjectEntryScatterboxConfigurationChecks

extends Object
implements SingleObjectEntryConstants

Description of the class

Author:
  William Grosso

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.widget.scatterbox.SingleObjectEntryConstants
`ENTRY_CLASS`

Fields inherited from interface edu.stanford.smi.protegex.widget.scatterbox.Constants
`DIRECT_INSTANCES_ONLY, DOMAIN_VALUE_SLOTS, ENTRY_METACLASS_NAME, ENTRY_SLOT_NAME, FUNCTION_NAME, HIERARCHICAL_INCLUDE_EVERYTHING, HIERARCHICAL_OMIT_ROOTS, HIERARCHICAL_ONLY_INCLUDE_LEAVES, HIERARCHICAL_ONLY_INCLUDE_LEVEL_1_CHILDREN, NULL_SELECTED_COLOR, RANGE_VALUE_SLOTS, RECURSIVE_COPY_DEPTH_FOR_DND, TEXT_SCALING_FACTOR, USE_ALL_INSTANCES`

Constructor Summary
`SingleObjectEntryScatterboxConfigurationChecks()`

Method Summary
`static boolean` | `isSuitable(Cls cls, Slot slot, Facet facet, KBQueryUtils queryObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleObjectEntryScatterboxConfigurationChecks

    public SingleObjectEntryScatterboxConfigurationChecks()

Method Detail

### isSuitable

    public static boolean isSuitable(Cls cls,
                                     Slot slot,
                                     Facet facet,
                                     KBQueryUtils queryObject)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request